SDL_AtomicDecRef(3)

NAME
SDL_AtomicDecRef - Decrement an atomic variable used as a reference count.

HEADER FILE
Defined in SDL3/SDL_atomic.h

SYNOPSIS
#include "SDL3/SDL.h"

#define SDL_AtomicDecRef(a)    (SDL_AtomicAdd(a, -1) == 1)

DESCRIPTION
Note: If you don't know what this macro is for, you shouldn't use it!

RETURN VALUE
Returns SDL_TRUE
 if the variable reached zero after decrementing, SDL_FALSE
 otherwise

AVAILABILITY
This macro is available since SDL 3.0.0.

SEE ALSO
SDL_AtomicIncRef(3)